import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeDiskAddResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiComputeDiskAddProtocol(_base.BasePostAPIFunctionProtocol):
    def disk_add(
        self,
        *,
        vm_id: int,
        name: str,
        disk_size_gb: int,
        disk_type: _nested.DiskType = _nested.DiskType.D,
        sep_id: int | None = None,
        sep_pool_name: str | None = None,
        description: str | None = None,
        image_id: int | None = None,

    ) -> CloudapiComputeDiskAddResultInt:
        ...
